## ros-kinetic-python-qt-binding 0.3.8

=== debian/changelog ===
ros-kinetic-python-qt-binding (0.3.8-1xenial) xenial; urgency=high

  * Update maintainers (#96 <https://github.com/ros-visualization/python_qt_binding/issues/96>) (#97 <https://github.com/ros-visualization/python_qt_binding/issues/97>)
  * Contributors: Shane Loretz

 -- Claire Wang <clairewang@openrobotics.org>  Mon, 12 Apr 2021 07:00:00 -0000

ros-kinetic-python-qt-binding (0.3.7-1xenial) xenial; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#83 <https://github.com/ros-visualization/python_qt_binding/issues/83>)
  * check if Shiboken2Config.cmake defines a target instead of a variable, fixes #69 <https://github.com/ros-visualization/python_qt_binding/issues/69> (#77 <https://github.com/ros-visualization/python_qt_binding/issues/77>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 08:00:00 -0000

ros-kinetic-python-qt-binding (0.3.6-1xenial) xenial; urgency=high

  * convert cmake targets to plain libraries (#68 <https://github.com/ros-visualization/python_qt_binding/issues/68>)
  * add Python 3 dependency with condition (#75 <https://github.com/ros-visualization/python_qt_binding/issues/75>)
  * if present, use the sipconfig suggested sip program (#70 <https://github.com/ros-visualization/python_qt_binding/issues/70>)
  * check for Homebrew's PyQt5 install path (#57 <https://github.com/ros-visualization/python_qt_binding/issues/57>)
  * modifying sip_configure (#54 <https://github.com/ros-visualization/python_qt_binding/issues/54>)
  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>)
  * fixing trivial accidental string concatenation (#66 <https://github.com/ros-visualization/python_qt_binding/issues/66>)
  * Windows: handling build configuration keywords before passed to SIP (#60 <https://github.com/ros-visualization/python_qt_binding/issues/60>)
  * cherry-pick windows port from crystal-devel (#61 <https://github.com/ros-visualization/python_qt_binding/issues/61>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 07:00:00 -0000

ros-kinetic-python-qt-binding (0.3.5-1xenial) xenial; urgency=high

  * don't add -l prefix if it already exists (#59 <https://github.com/ros-visualization/python_qt_binding/issues/59>)
  * autopep8 (#51 <https://github.com/ros-visualization/python_qt_binding/issues/51>)
  * remove :: from shiboken include path (#48 <https://github.com/ros-visualization/python_qt_binding/issues/48>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 Mar 2019 07:00:00 -0000

ros-kinetic-python-qt-binding (0.3.4-1xenial) xenial; urgency=high

  * add support for additional Qt5 modules (#45 <https://github.com/ros-visualization/python_qt_binding/issues/45>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-kinetic-python-qt-binding (0.3.3-1xenial) xenial; urgency=high

  * Prefer qmake-qt5 over qmake when available (#43 <https://github.com/ros-visualization/python_qt_binding/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-kinetic-python-qt-binding (0.3.2-1xenial) xenial; urgency=high

  * Fix problems on OS X (#40 <https://github.com/ros-visualization/python_qt_binding/pull/40>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 23 Jan 2017 08:00:00 -0000

ros-kinetic-python-qt-binding (0.3.1-1xenial) xenial; urgency=high

  * support for the Qt 5 modules QtWebEngine and QtWebKitWidgets (#37 <https://github.com/ros-visualization/python_qt_binding/issues/37>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-kinetic-python-qt-binding (0.3.0-1xenial) xenial; urgency=high

  * switch to Qt5 (#30 <https://github.com/ros-visualization/python_qt_binding/issues/30>)
  * print full stacktrace

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-kinetic-python-qt-binding (0.2.18-1xenial) xenial; urgency=high

  * remove LGPL and GPL from licenses, all code is BSD (#27 <https://github.com/ros-visualization/python_qt_binding/issues/27>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-python-qt-binding (0.2.17-1xenial) xenial; urgency=high

  * change import order of builtins to work when the 'future' package is installed in Python 2 (#24 <https://github.com/ros-visualization/python_qt_binding/issues/24>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-python-qt-binding (0.2.16-1xenial) xenial; urgency=high

  * use qmake with QT_SELECT since qmake-qt4 is not available on all platforms (#22 <https://github.com/ros-visualization/python_qt_binding/issues/22>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 May 2015 07:00:00 -0000

ros-kinetic-python-qt-binding (0.2.15-1xenial) xenial; urgency=high

  * support PyQt4.11 and higher when built with configure-ng.py (#13 <https://github.com/ros-visualization/python_qt_binding/issues/13>)
  * __builtin__ became builtins in Python 3 (#16 <https://github.com/ros-visualization/python_qt_binding/issues/16>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Apr 2015 07:00:00 -0000

ros-kinetic-python-qt-binding (0.2.14-1xenial) xenial; urgency=high

  * add Python_ADDITIONAL_VERSIONS and ask for specific version of PythonInterp
  * fix finding specific version of PythonLibs with CMake 3 (#11 <https://github.com/ros-visualization/python_qt_binding/issues/11>)
  * fix sip_helper to use python header dirs on OS X (#12 <https://github.com/ros-visualization/python_qt_binding/issues/12>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-kinetic-python-qt-binding (0.2.13-1xenial) xenial; urgency=high

  * fix sip arguments when path contains spaces

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-python-qt-binding (0.2.12-1xenial) xenial; urgency=high

  * python 3 compatibility

